# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'gui/regloc_icc_4_channel_flow_rate/design.ui'
#
# Created by: PyQt5 UI code generator 5.15.4
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_MainWindow(object):
    def setupUi(self, MainWindow):
        MainWindow.setObjectName("MainWindow")
        MainWindow.resize(654, 557)
        font = QtGui.QFont()
        font.setPointSize(9)
        MainWindow.setFont(font)
        self.centralwidget = QtWidgets.QWidget(MainWindow)
        self.centralwidget.setObjectName("centralwidget")
        self.gridLayout = QtWidgets.QGridLayout(self.centralwidget)
        self.gridLayout.setObjectName("gridLayout")
        self.scrollArea = QtWidgets.QScrollArea(self.centralwidget)
        self.scrollArea.setWidgetResizable(True)
        self.scrollArea.setObjectName("scrollArea")
        self.scrollAreaWidgetContents = QtWidgets.QWidget()
        self.scrollAreaWidgetContents.setGeometry(QtCore.QRect(0, 0, 634, 496))
        self.scrollAreaWidgetContents.setObjectName("scrollAreaWidgetContents")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.scrollAreaWidgetContents)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.groupBox = QtWidgets.QGroupBox(self.scrollAreaWidgetContents)
        self.groupBox.setObjectName("groupBox")
        self.gridLayout_3 = QtWidgets.QGridLayout(self.groupBox)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.start_pushButton = QtWidgets.QPushButton(self.groupBox)
        self.start_pushButton.setObjectName("start_pushButton")
        self.gridLayout_3.addWidget(self.start_pushButton, 1, 0, 1, 1)
        self.rate_doubleSpinBox = QtWidgets.QDoubleSpinBox(self.groupBox)
        self.rate_doubleSpinBox.setMaximum(50.0)
        self.rate_doubleSpinBox.setObjectName("rate_doubleSpinBox")
        self.gridLayout_3.addWidget(self.rate_doubleSpinBox, 3, 0, 1, 1)
        self.label_9 = QtWidgets.QLabel(self.groupBox)
        self.label_9.setObjectName("label_9")
        self.gridLayout_3.addWidget(self.label_9, 0, 0, 1, 1)
        self.pump_channel_comboBox = QtWidgets.QComboBox(self.groupBox)
        self.pump_channel_comboBox.setObjectName("pump_channel_comboBox")
        self.pump_channel_comboBox.addItem("")
        self.pump_channel_comboBox.addItem("")
        self.pump_channel_comboBox.addItem("")
        self.pump_channel_comboBox.addItem("")
        self.gridLayout_3.addWidget(self.pump_channel_comboBox, 0, 1, 1, 1)
        self.stop_pushButton = QtWidgets.QPushButton(self.groupBox)
        self.stop_pushButton.setObjectName("stop_pushButton")
        self.gridLayout_3.addWidget(self.stop_pushButton, 1, 1, 1, 1)
        self.set_rate_pushButton = QtWidgets.QPushButton(self.groupBox)
        self.set_rate_pushButton.setObjectName("set_rate_pushButton")
        self.gridLayout_3.addWidget(self.set_rate_pushButton, 3, 1, 1, 1)
        self.set_tubing_id_pushButton = QtWidgets.QPushButton(self.groupBox)
        self.set_tubing_id_pushButton.setObjectName("set_tubing_id_pushButton")
        self.gridLayout_3.addWidget(self.set_tubing_id_pushButton, 5, 1, 1, 1)
        self.set_counterclockwise_pushButton = QtWidgets.QPushButton(self.groupBox)
        self.set_counterclockwise_pushButton.setObjectName("set_counterclockwise_pushButton")
        self.gridLayout_3.addWidget(self.set_counterclockwise_pushButton, 2, 1, 1, 1)
        self.set_clockwise_pushButton = QtWidgets.QPushButton(self.groupBox)
        self.set_clockwise_pushButton.setObjectName("set_clockwise_pushButton")
        self.gridLayout_3.addWidget(self.set_clockwise_pushButton, 2, 0, 1, 1)
        self.tubing_id_doubleSpinBox = QtWidgets.QDoubleSpinBox(self.groupBox)
        self.tubing_id_doubleSpinBox.setMaximum(5.0)
        self.tubing_id_doubleSpinBox.setObjectName("tubing_id_doubleSpinBox")
        self.gridLayout_3.addWidget(self.tubing_id_doubleSpinBox, 5, 0, 1, 1)
        self.gridLayout_2.addWidget(self.groupBox, 7, 0, 1, 1)
        self.groupBox_2 = QtWidgets.QGroupBox(self.scrollAreaWidgetContents)
        self.groupBox_2.setObjectName("groupBox_2")
        self.gridLayout_4 = QtWidgets.QGridLayout(self.groupBox_2)
        self.gridLayout_4.setObjectName("gridLayout_4")
        self.pump_channel_1_direction_label = QtWidgets.QLabel(self.groupBox_2)
        self.pump_channel_1_direction_label.setAlignment(QtCore.Qt.AlignCenter)
        self.pump_channel_1_direction_label.setObjectName("pump_channel_1_direction_label")
        self.gridLayout_4.addWidget(self.pump_channel_1_direction_label, 1, 2, 1, 1)
        self.pump_channel_3_running_label = QtWidgets.QLabel(self.groupBox_2)
        self.pump_channel_3_running_label.setAlignment(QtCore.Qt.AlignCenter)
        self.pump_channel_3_running_label.setObjectName("pump_channel_3_running_label")
        self.gridLayout_4.addWidget(self.pump_channel_3_running_label, 3, 1, 1, 1)
        self.label_8 = QtWidgets.QLabel(self.groupBox_2)
        self.label_8.setAlignment(QtCore.Qt.AlignCenter)
        self.label_8.setObjectName("label_8")
        self.gridLayout_4.addWidget(self.label_8, 0, 3, 1, 1)
        self.pump_channel_2_direction_label = QtWidgets.QLabel(self.groupBox_2)
        self.pump_channel_2_direction_label.setAlignment(QtCore.Qt.AlignCenter)
        self.pump_channel_2_direction_label.setObjectName("pump_channel_2_direction_label")
        self.gridLayout_4.addWidget(self.pump_channel_2_direction_label, 2, 2, 1, 1)
        self.label_7 = QtWidgets.QLabel(self.groupBox_2)
        self.label_7.setAlignment(QtCore.Qt.AlignCenter)
        self.label_7.setObjectName("label_7")
        self.gridLayout_4.addWidget(self.label_7, 0, 2, 1, 1)
        self.label_2 = QtWidgets.QLabel(self.groupBox_2)
        self.label_2.setObjectName("label_2")
        self.gridLayout_4.addWidget(self.label_2, 2, 0, 1, 1)
        self.pump_channel_4_direction_label = QtWidgets.QLabel(self.groupBox_2)
        self.pump_channel_4_direction_label.setAlignment(QtCore.Qt.AlignCenter)
        self.pump_channel_4_direction_label.setObjectName("pump_channel_4_direction_label")
        self.gridLayout_4.addWidget(self.pump_channel_4_direction_label, 4, 2, 1, 1)
        self.pump_channel_4_flow_rate_label = QtWidgets.QLabel(self.groupBox_2)
        self.pump_channel_4_flow_rate_label.setAlignment(QtCore.Qt.AlignCenter)
        self.pump_channel_4_flow_rate_label.setObjectName("pump_channel_4_flow_rate_label")
        self.gridLayout_4.addWidget(self.pump_channel_4_flow_rate_label, 4, 3, 1, 1)
        self.label_6 = QtWidgets.QLabel(self.groupBox_2)
        self.label_6.setAlignment(QtCore.Qt.AlignCenter)
        self.label_6.setObjectName("label_6")
        self.gridLayout_4.addWidget(self.label_6, 0, 1, 1, 1)
        self.pump_channel_1_running_label = QtWidgets.QLabel(self.groupBox_2)
        self.pump_channel_1_running_label.setAlignment(QtCore.Qt.AlignCenter)
        self.pump_channel_1_running_label.setObjectName("pump_channel_1_running_label")
        self.gridLayout_4.addWidget(self.pump_channel_1_running_label, 1, 1, 1, 1)
        self.pump_channel_3_flow_rate_label = QtWidgets.QLabel(self.groupBox_2)
        self.pump_channel_3_flow_rate_label.setAlignment(QtCore.Qt.AlignCenter)
        self.pump_channel_3_flow_rate_label.setObjectName("pump_channel_3_flow_rate_label")
        self.gridLayout_4.addWidget(self.pump_channel_3_flow_rate_label, 3, 3, 1, 1)
        self.pump_channel_3_direction_label = QtWidgets.QLabel(self.groupBox_2)
        self.pump_channel_3_direction_label.setAlignment(QtCore.Qt.AlignCenter)
        self.pump_channel_3_direction_label.setObjectName("pump_channel_3_direction_label")
        self.gridLayout_4.addWidget(self.pump_channel_3_direction_label, 3, 2, 1, 1)
        self.pump_channel_1_flow_rate_label = QtWidgets.QLabel(self.groupBox_2)
        self.pump_channel_1_flow_rate_label.setAlignment(QtCore.Qt.AlignCenter)
        self.pump_channel_1_flow_rate_label.setObjectName("pump_channel_1_flow_rate_label")
        self.gridLayout_4.addWidget(self.pump_channel_1_flow_rate_label, 1, 3, 1, 1)
        self.label = QtWidgets.QLabel(self.groupBox_2)
        self.label.setObjectName("label")
        self.gridLayout_4.addWidget(self.label, 1, 0, 1, 1)
        self.label_5 = QtWidgets.QLabel(self.groupBox_2)
        self.label_5.setText("")
        self.label_5.setObjectName("label_5")
        self.gridLayout_4.addWidget(self.label_5, 0, 0, 1, 1)
        self.pump_channel_4_running_label = QtWidgets.QLabel(self.groupBox_2)
        self.pump_channel_4_running_label.setAlignment(QtCore.Qt.AlignCenter)
        self.pump_channel_4_running_label.setObjectName("pump_channel_4_running_label")
        self.gridLayout_4.addWidget(self.pump_channel_4_running_label, 4, 1, 1, 1)
        self.label_4 = QtWidgets.QLabel(self.groupBox_2)
        self.label_4.setObjectName("label_4")
        self.gridLayout_4.addWidget(self.label_4, 4, 0, 1, 1)
        self.pump_channel_2_running_label = QtWidgets.QLabel(self.groupBox_2)
        self.pump_channel_2_running_label.setAlignment(QtCore.Qt.AlignCenter)
        self.pump_channel_2_running_label.setObjectName("pump_channel_2_running_label")
        self.gridLayout_4.addWidget(self.pump_channel_2_running_label, 2, 1, 1, 1)
        self.pump_channel_2_flow_rate_label = QtWidgets.QLabel(self.groupBox_2)
        self.pump_channel_2_flow_rate_label.setAlignment(QtCore.Qt.AlignCenter)
        self.pump_channel_2_flow_rate_label.setObjectName("pump_channel_2_flow_rate_label")
        self.gridLayout_4.addWidget(self.pump_channel_2_flow_rate_label, 2, 3, 1, 1)
        self.label_3 = QtWidgets.QLabel(self.groupBox_2)
        self.label_3.setObjectName("label_3")
        self.gridLayout_4.addWidget(self.label_3, 3, 0, 1, 1)
        self.label_10 = QtWidgets.QLabel(self.groupBox_2)
        self.label_10.setAlignment(QtCore.Qt.AlignCenter)
        self.label_10.setObjectName("label_10")
        self.gridLayout_4.addWidget(self.label_10, 0, 4, 1, 1)
        self.pump_pump_channel_1_tubing_id_label = QtWidgets.QLabel(self.groupBox_2)
        self.pump_pump_channel_1_tubing_id_label.setAlignment(QtCore.Qt.AlignCenter)
        self.pump_pump_channel_1_tubing_id_label.setObjectName("pump_pump_channel_1_tubing_id_label")
        self.gridLayout_4.addWidget(self.pump_pump_channel_1_tubing_id_label, 1, 4, 1, 1)
        self.pump_pump_channel_3_tubing_id_label = QtWidgets.QLabel(self.groupBox_2)
        self.pump_pump_channel_3_tubing_id_label.setAlignment(QtCore.Qt.AlignCenter)
        self.pump_pump_channel_3_tubing_id_label.setObjectName("pump_pump_channel_3_tubing_id_label")
        self.gridLayout_4.addWidget(self.pump_pump_channel_3_tubing_id_label, 3, 4, 1, 1)
        self.pump_pump_channel_2_tubing_id_label = QtWidgets.QLabel(self.groupBox_2)
        self.pump_pump_channel_2_tubing_id_label.setAlignment(QtCore.Qt.AlignCenter)
        self.pump_pump_channel_2_tubing_id_label.setObjectName("pump_pump_channel_2_tubing_id_label")
        self.gridLayout_4.addWidget(self.pump_pump_channel_2_tubing_id_label, 2, 4, 1, 1)
        self.pump_pump_channel_4_tubing_id_label = QtWidgets.QLabel(self.groupBox_2)
        self.pump_pump_channel_4_tubing_id_label.setAlignment(QtCore.Qt.AlignCenter)
        self.pump_pump_channel_4_tubing_id_label.setObjectName("pump_pump_channel_4_tubing_id_label")
        self.gridLayout_4.addWidget(self.pump_pump_channel_4_tubing_id_label, 4, 4, 1, 1)
        self.gridLayout_2.addWidget(self.groupBox_2, 6, 0, 1, 1)
        self.scrollArea.setWidget(self.scrollAreaWidgetContents)
        self.gridLayout.addWidget(self.scrollArea, 1, 0, 1, 1)
        MainWindow.setCentralWidget(self.centralwidget)
        self.menubar = QtWidgets.QMenuBar(MainWindow)
        self.menubar.setGeometry(QtCore.QRect(0, 0, 654, 21))
        self.menubar.setObjectName("menubar")
        MainWindow.setMenuBar(self.menubar)
        self.statusbar = QtWidgets.QStatusBar(MainWindow)
        self.statusbar.setObjectName("statusbar")
        MainWindow.setStatusBar(self.statusbar)

        self.retranslateUi(MainWindow)
        QtCore.QMetaObject.connectSlotsByName(MainWindow)

    def retranslateUi(self, MainWindow):
        _translate = QtCore.QCoreApplication.translate
        MainWindow.setWindowTitle(_translate("MainWindow", "MainWindow"))
        self.groupBox.setTitle(_translate("MainWindow", "Control"))
        self.start_pushButton.setText(_translate("MainWindow", "Start"))
        self.label_9.setText(_translate("MainWindow", "Pump channel"))
        self.pump_channel_comboBox.setItemText(0, _translate("MainWindow", "1"))
        self.pump_channel_comboBox.setItemText(1, _translate("MainWindow", "2"))
        self.pump_channel_comboBox.setItemText(2, _translate("MainWindow", "3"))
        self.pump_channel_comboBox.setItemText(3, _translate("MainWindow", "4"))
        self.stop_pushButton.setText(_translate("MainWindow", "Stop"))
        self.set_rate_pushButton.setText(_translate("MainWindow", "Set rate (mL/min)"))
        self.set_tubing_id_pushButton.setText(_translate("MainWindow", "Set tubing ID (mm)"))
        self.set_counterclockwise_pushButton.setText(_translate("MainWindow", "Set counterclockwise"))
        self.set_clockwise_pushButton.setText(_translate("MainWindow", "Set clockwise"))
        self.groupBox_2.setTitle(_translate("MainWindow", "State"))
        self.pump_channel_1_direction_label.setText(_translate("MainWindow", "?"))
        self.pump_channel_3_running_label.setText(_translate("MainWindow", "?"))
        self.label_8.setText(_translate("MainWindow", "Rate (mL/min)"))
        self.pump_channel_2_direction_label.setText(_translate("MainWindow", "?"))
        self.label_7.setText(_translate("MainWindow", "Direction"))
        self.label_2.setText(_translate("MainWindow", "Pump channel 2"))
        self.pump_channel_4_direction_label.setText(_translate("MainWindow", "?"))
        self.pump_channel_4_flow_rate_label.setText(_translate("MainWindow", "?"))
        self.label_6.setText(_translate("MainWindow", "Running"))
        self.pump_channel_1_running_label.setText(_translate("MainWindow", "?"))
        self.pump_channel_3_flow_rate_label.setText(_translate("MainWindow", "?"))
        self.pump_channel_3_direction_label.setText(_translate("MainWindow", "?"))
        self.pump_channel_1_flow_rate_label.setText(_translate("MainWindow", "?"))
        self.label.setText(_translate("MainWindow", "Pump channel 1"))
        self.pump_channel_4_running_label.setText(_translate("MainWindow", "?"))
        self.label_4.setText(_translate("MainWindow", "Pump channel 4"))
        self.pump_channel_2_running_label.setText(_translate("MainWindow", "?"))
        self.pump_channel_2_flow_rate_label.setText(_translate("MainWindow", "?"))
        self.label_3.setText(_translate("MainWindow", "Pump channel 3"))
        self.label_10.setText(_translate("MainWindow", "Tubing ID (mm)"))
        self.pump_pump_channel_1_tubing_id_label.setText(_translate("MainWindow", "?"))
        self.pump_pump_channel_3_tubing_id_label.setText(_translate("MainWindow", "?"))
        self.pump_pump_channel_2_tubing_id_label.setText(_translate("MainWindow", "?"))
        self.pump_pump_channel_4_tubing_id_label.setText(_translate("MainWindow", "?"))
